Skip to main content

Published App Integration

View as Markdown

Get GA

GET /api/2.0/accounts/{account_id}/oauth2/published-app-integrations/{integration_id}

Gets the Published OAuth App Integration for the given integration id.

API scopes: authentication

Parameters

account_idstringpath
integration_idstringpath

Response

app_idstring

App-id of the published app integration

integration_idstring

Unique integration id for the published OAuth app

namestring

Display name of the published OAuth app

token_access_policyobject

Token access policy

Show child attributesHide child attributes
access_token_ttl_in_minutesint32

access token time to live in minutes

Constraints: [ 5 .. 1440 ]

refresh_token_ttl_in_minutesint32

Refresh token time to live in minutes. When single-use refresh tokens are enabled, this represents the TTL of an individual refresh token. If the refresh token is used before it expires, a new one is issued with a renewed individual TTL.

Constraints: [ 5 .. 129600 ]

enable_single_use_refresh_tokensbooleanBeta

Whether to enable single-use refresh tokens (refresh token rotation). If this feature is enabled, upon successfully getting a new access token using a refresh token, <Databricks> will issue a new refresh token along with the access token in the response and invalidate the old refresh token. The client should use the new refresh token to get access tokens in future requests.

absolute_session_lifetime_in_minutesint32Beta

Absolute OAuth session TTL in minutes. Effective only when the single-use refresh token feature is enabled. This is the absolute TTL of all refresh tokens issued in one OAuth session. When a new refresh token is issued during refresh token rotation, it will inherit the same absolute TTL as the old refresh token. In other words, this represents the maximum amount of time a user can stay logged in without re-authenticating.

created_byint64
create_timestring

List GA

GET /api/2.0/accounts/{account_id}/oauth2/published-app-integrations

Get the list of published OAuth app integrations for the specified <Account>

API scopes: authentication

Parameters

account_idstringpath
page_tokenstringquery
page_sizeint32query

Default: 100

Response

appsarray of object

List of Published OAuth App Integrations defined for the account.

Show child attributesHide child attributes
app_idstring

App-id of the published app integration

integration_idstring

Unique integration id for the published OAuth app

namestring

Display name of the published OAuth app

token_access_policyobject

Token access policy

Show child attributesHide child attributes
access_token_ttl_in_minutesint32

access token time to live in minutes

Constraints: [ 5 .. 1440 ]

refresh_token_ttl_in_minutesint32

Refresh token time to live in minutes. When single-use refresh tokens are enabled, this represents the TTL of an individual refresh token. If the refresh token is used before it expires, a new one is issued with a renewed individual TTL.

Constraints: [ 5 .. 129600 ]

enable_single_use_refresh_tokensbooleanBeta

Whether to enable single-use refresh tokens (refresh token rotation). If this feature is enabled, upon successfully getting a new access token using a refresh token, <Databricks> will issue a new refresh token along with the access token in the response and invalidate the old refresh token. The client should use the new refresh token to get access tokens in future requests.

absolute_session_lifetime_in_minutesint32Beta

Absolute OAuth session TTL in minutes. Effective only when the single-use refresh token feature is enabled. This is the absolute TTL of all refresh tokens issued in one OAuth session. When a new refresh token is issued during refresh token rotation, it will inherit the same absolute TTL as the old refresh token. In other words, this represents the maximum amount of time a user can stay logged in without re-authenticating.

created_byint64
create_timestring
next_page_tokenstring

Create GA

POST /api/2.0/accounts/{account_id}/oauth2/published-app-integrations

Create Published OAuth App Integration.

You can retrieve the published OAuth app integration via PublishedAppIntegration/get.

API scopes: authentication

Parameters

account_idstringpath

Request body

app_idstring

App id of the OAuth published app integration. For example power-bi, tableau-deskop

token_access_policyobject

Token access policy

Show child attributesHide child attributes
access_token_ttl_in_minutesint32

access token time to live in minutes

Constraints: [ 5 .. 1440 ]

refresh_token_ttl_in_minutesint32

Refresh token time to live in minutes. When single-use refresh tokens are enabled, this represents the TTL of an individual refresh token. If the refresh token is used before it expires, a new one is issued with a renewed individual TTL.

Constraints: [ 5 .. 129600 ]

enable_single_use_refresh_tokensbooleanBeta

Whether to enable single-use refresh tokens (refresh token rotation). If this feature is enabled, upon successfully getting a new access token using a refresh token, <Databricks> will issue a new refresh token along with the access token in the response and invalidate the old refresh token. The client should use the new refresh token to get access tokens in future requests.

absolute_session_lifetime_in_minutesint32Beta

Absolute OAuth session TTL in minutes. Effective only when the single-use refresh token feature is enabled. This is the absolute TTL of all refresh tokens issued in one OAuth session. When a new refresh token is issued during refresh token rotation, it will inherit the same absolute TTL as the old refresh token. In other words, this represents the maximum amount of time a user can stay logged in without re-authenticating.

Response

integration_idstring

Unique integration id for the published OAuth app

Update GA

PATCH /api/2.0/accounts/{account_id}/oauth2/published-app-integrations/{integration_id}

Updates an existing published OAuth App Integration. You can retrieve the published OAuth app integration via PublishedAppIntegration/get.

API scopes: authentication

Parameters

account_idstringpath
integration_idstringpath

Request body

token_access_policyobject

Token access policy to be updated in the published OAuth app integration

Show child attributesHide child attributes
access_token_ttl_in_minutesint32

access token time to live in minutes

Constraints: [ 5 .. 1440 ]

refresh_token_ttl_in_minutesint32

Refresh token time to live in minutes. When single-use refresh tokens are enabled, this represents the TTL of an individual refresh token. If the refresh token is used before it expires, a new one is issued with a renewed individual TTL.

Constraints: [ 5 .. 129600 ]

enable_single_use_refresh_tokensbooleanBeta

Whether to enable single-use refresh tokens (refresh token rotation). If this feature is enabled, upon successfully getting a new access token using a refresh token, <Databricks> will issue a new refresh token along with the access token in the response and invalidate the old refresh token. The client should use the new refresh token to get access tokens in future requests.

absolute_session_lifetime_in_minutesint32Beta

Absolute OAuth session TTL in minutes. Effective only when the single-use refresh token feature is enabled. This is the absolute TTL of all refresh tokens issued in one OAuth session. When a new refresh token is issued during refresh token rotation, it will inherit the same absolute TTL as the old refresh token. In other words, this represents the maximum amount of time a user can stay logged in without re-authenticating.

Delete GA

DELETE /api/2.0/accounts/{account_id}/oauth2/published-app-integrations/{integration_id}

Delete an existing Published OAuth App Integration. You can retrieve the published OAuth app integration via PublishedAppIntegration/get.

API scopes: authentication

Parameters

account_idstringpath
integration_idstringpath